VERSION 5.00
Begin VB.Form MainForm 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "AutoDialer 2.0 (Robert Gora)"
   ClientHeight    =   720
   ClientLeft      =   825
   ClientTop       =   1110
   ClientWidth     =   3885
   Icon            =   "MainForm.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   720
   ScaleWidth      =   3885
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton Btn_Wahl 
      Caption         =   "Btn_Wahl"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3615
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

            'Phoner-Objekt mit Ereignisbenachrichtigung erstellen
Public WithEvents myPhoner As CPhoner
Attribute myPhoner.VB_VarHelpID = -1
Public IDCall As Long
Public ISIDSet As Boolean
Public IsPhoneCall As Boolean


Private Sub Btn_Wahl_Click()
            'Prfe anhand der Buttonbeschriftung, ob noch zu whlen ist oder
            'bereits gewhlt wurde
If Left$(Btn_Wahl.Caption, 5) = "Whle" Then    'Es wurde noch nicht gewhlt
    myPhoner.MakeCall (Command)                 'dann whlen
    Btn_Wahl.Caption = "Beende Gesprch"        'Beschriftung des Button ndern
Else
    myPhoner.DisconnectCall (IDCall)            'Es wurde bereits gewhlt, jetzt auflegen
End If
End Sub

Private Sub Form_Load()
            'Zu whlende Telefonnummer wird ber Kommandozeile bergeben
            'mgliche Parameter z.Zt.
            '-h oder -H oder -? fr Hilfe
            '-a oder -A fr automatische Wahl ohne Besttigung
            '-s oder -S fr SMS-Versand
            '-f oder -F fr SMS-Versand aus einer Text-Datei
            '-t oder -T fr TTS-Versand aus einer Text-Datei (z.Zt. noch auf 160 Zeichen begrenzt, soll aber lt. Heiko erweitert werden)
            
Select Case Left$(Command, 2)
Case "-h", "-H", "-?"
    ShowHelp
Case "-a", "-A"                                     'unsichtbar whlen
    Set myPhoner = New CPhoner                      'Phoner-Objekt erstellen
    Me.Visible = False
    ISIDSet = False
    IsPhoneCall = True
    myPhoner.MakeCall Right$(Command, Len(Command) - 2)
Case "-s", "-S"                                     'SMS verschicken
    IsPhoneCall = False
    SendSMS Command, False, True
Case "-f", "-F"                                     'SMS aus File verschicken
    IsPhoneCall = False
    SendSMS Command, True, True
Case "-t", "-T"                                     'TTS aus File verschicken
    IsPhoneCall = False
    SendSMS Command, True, False
Case Else           'nur Telefonnummer ohne Parameter
    IsPhoneCall = True
    If Command = "" Or Not IsNumeric(Command) Then  'Telefonnummer muss rein numerisch sein
        MsgBox Command & " ist keine gltige Nummer zum Whlen.", _
               vbCritical, "Automatisches Whlen"
        ShowHelp                                    'Falls keine oder ungltige Tel.nr. dann abbrechen
    Else
        Set myPhoner = New CPhoner                      'Phoner-Objekt erstellen
                    'Bei gltiger Telefonnummer, Whl-Button entsprechend beschriften
        Btn_Wahl.Caption = "Whle " & Command
        ISIDSet = False                                 'Zum jetztigen Zeitpunkt ist noch kein
    End If                                              'Gesprch gefhrt, daher noch keine ID
End Select

End Sub

Private Sub ShowHelp()
    MsgBox "-h oder -? zeigt alle verfgbaren Parameter an" & _
            vbCrLf & "-a whlt die bergebene Rufnummer ohne erneute Besttigung" & _
            vbCrLf & "01234... whlt die angegebene Rufnummer und fordert Besttigung an." & _
            vbCrLf & "-s sendet eine SMS, die in der Befehlszeile angegeben ist" & _
            vbCrLf & "-f sendet eine SMS, die in einer Textdatei gespeichert ist" & _
            vbCrLf & "-t sendet TTS, die in einer Textdatei gespeichert ist" & _
            vbCrLf & vbCrLf & _
            "Beispiel 1: 'c:\autodialer.exe 01234567' " & vbCrLf & _
            "Beispiel 2: 'c:\autodialer.exe -a01234567' " & vbCrLf & _
            "Beispiel 3: 'c:\autodialer.exe -s01234567,Hallo Anrufer wie geht es dir'" & vbCrLf & _
            "Beispiel 4: 'c:\autodialer.exe -f01234567,c:\sms.txt'", vbInformation, "AutoDialer 2.0 (Robert Gora)"
            End
End Sub


Private Sub SendSMS(Commandstr As String, IsFile As Boolean, IsSMS As Boolean)
Dim i As Integer
Dim Filenum As Integer
Dim s As String
Dim SMSText As String
Dim Telnr As String
        
        'Routine extrahiert aus Commandstr die Telefonnummer und einen SMS-Text
        'Falls IsFile = False, wird der SMS-Text als Teil des Commandstr interpretiert, ansonsten
        'wird ein bergebenes File geffnet und dort eine Zeile (max. 160 Zeichen) ausgelesen
        'IsSMS - True, es wird die Zeichenzahl von 160 geprft
        'IsSMS - False Die max. Zeichenzahl wird nicht geprft (z.Zt. bei TextToSpeech aus File)
        'Laut Heiko soll Phoner bei TTS knftig mehr als 160 Zeichen zulassen
        
i = InStr(1, Commandstr, ",")                           'nach erstem Komma suchen
If i > 3 Then                                           'Mindestlnge muss natrlich deutlich ber 3 liegen !!!
    Telnr = Mid$(Commandstr, 3, i - 3)                  'anzuwhlende Rufnummer
    SMSText = Right$(Commandstr, Len(Commandstr) - i)   'SMS-Text oder Pfad zu SMS-Textdatei

    If IsFile = True Then                               'SMSText enthlt Pfad zu einer Text-Datei mit SMS-Text
        If Dir(SMSText) = "" Then                       'Pfad muss natrlich vorhanden sein
            MsgBox "Konnte SMS-Datei " & SMSText & " nicht finden ...", vbCritical, "SMS-Versand nicht mglich"
            End
        Else
            Filenum = FreeFile(0)                       'Text aus Datei lesen
            Open SMSText For Input As Filenum
            Line Input #Filenum, s
            Close #Filenum
            SMSText = s
        End If
    End If
If IsSMS = True Then
                                                        'SMS darf maximal 160 Zeichen haben
    If Len(SMSText) > 160 Then SMSText = Left$(SMSText, 160)
    If Len(SMSText) = 0 Then
        MsgBox "Die Lnge einer SMS-Nachricht sollte zwischen 1 und 160 Zeichen sein ...", vbCritical, "SMS-Versand nicht mglich"
        End
    End If
Else
    If Len(SMSText) = 0 Then                            'TTS muss mindestens 1 Zeichen haben
        MsgBox "Die Lnge einer TTS-Nachricht sollte mindestens 1 Zeichen haben ...", vbCritical, "TTS-Versand nicht mglich"
        End
    End If
End If
                                                        'Alle Parameter sind halbwegs gecheckt
    Me.Visible = False
    ISIDSet = False                                     'SMS  oder TTS mit Phoner versenden
    Set myPhoner = New CPhoner
    myPhoner.SendSMS Telnr, SMSText

End If
End Sub


Private Sub myPhoner_OnChangeState(ByVal CallID As Long)
Dim Status As TCallState
Dim Direction As TDirection
Dim CallerID As String
Dim CalledID As String
          
            'Phoner-Ereignis-Routine
            'Die zum Anruf notwendige ID fr das Gesprch beenden merken
If ISIDSet = False Then
    IDCall = CallID
    ISIDSet = True          'Damit bei einem weiteren Anruf die ID nicht neu vergeben wird
End If                      'Flag setzen, dass ID bereits gespeichert wurde.
                            'Falls IsIDSet = True, wird die ID bei einem neuen Anruf nicht
                            'gendert.

                            'Falls Anruf durch Auflegen beendet wurde,
                            'AutoDialer und Phoner ebenfalls beenden.
myPhoner.GetCallInfo IDCall, Status, Direction, CallerID, CalledID

Select Case Status
Case Disconnected
    Set myPhoner = Nothing
    End
Case Disconnecting
Case Connected
Case Connecting
Case Offering
Case Idle
End Select


End Sub

